package com.io.yutian.colorblindwar.util;

import org.bukkit.Material;

public class ColorUtil {

    public static String getColorName(Material material) {
        switch (material) {
            case WHITE_WOOL:
                return "白色";
            case BLACK_WOOL:
                return "黑色";
            case BROWN_WOOL:
                return "棕色";
            case BLUE_WOOL:
                return "蓝色";
            case GREEN_WOOL:
                return "绿色";
            case RED_WOOL:
                return "红色";
            case YELLOW_WOOL:
                return "黄色";
            case PURPLE_WOOL:
                return "紫色";
            case ORANGE_WOOL:
                return "橙色";
            case PINK_WOOL:
                return "粉色";
            case LIGHT_BLUE_WOOL:
                return "淡蓝色";
            case LIME_WOOL:
                return "黄绿色";
            default:
                return "未知";
        }
    }

    public static String getColorHex(Material material) {
        switch (material) {
            case WHITE_WOOL:
                return "#DDDDDD";
            case ORANGE_WOOL:
                return "#DB7D3E";
            case MAGENTA_WOOL:
                return "#B350BC";
            case LIGHT_BLUE_WOOL:
                return "#6B8AC9";
            case YELLOW_WOOL:
                return "#E0C240";
            case LIME_WOOL:
                return "#41AE38";
            case PINK_WOOL:
                return "#D08499";
            case GRAY_WOOL:
                return "#404040";
            case LIGHT_GRAY_WOOL:
                return "#9A9A9A";
            case CYAN_WOOL:
                return "#2E6E89";
            case PURPLE_WOOL:
                return "#7E3DB5";
            case BLUE_WOOL:
                return "#2E388D";
            case BROWN_WOOL:
                return "#4F321F";
            case GREEN_WOOL:
                return "#35461B";
            case RED_WOOL:
                return "#C05A5A";
            case BLACK_WOOL:
                return "#191616";
            default:
                return "#000000";
        }
    }

}
